# SIGs - Special Interest Groups

As described in the MindSpore [governance](../governance.md), Special
Interest Groups (SIGs) are persistent groups responsible for specific parts of
the project. SIGs have open and transparent proceedings to develop goals and
implement code contributions. SIGs are also responsible for ongoing maintenance
of the code in their areas.

## Joining a SIG

If you are interested in participating, please [join the discussion](https://mailweb.mindspore.cn/postorius/lists/)
in the respective list. Details about any upcoming meetings will also be shared
in the mailing list. SIG artifacts can be found in the current repository.

## Current SIGs

| SIG name | Responsibilities | SIG Leads |
| :------- | :--------------- | :-------- |
| FrontEnd | This SIG is responsible for the development of MindSpore front-end expression. | [@kingxian](https://gitee.com/kingxian)(jianxiaoxian@huawei.com) |
| Compiler | This SIG is responsible for the development of MindSpore high level graph compilation. | [@zh_qh](https://gitee.com/zh_qh)(zhangqinghua3@huawei.com) |
| Executor | This SIG is responsible for the development of MindSpore back-end support for pipeline. | [@kisnwang](https://gitee.com/kisnwang)(wangkaisheng2@huawei.com) |
| ModelZoo | This SIG is responsible for the development of MindSpore modelzoo and additional ops. | [@yingjy](https://gitee.com/yingjy)(yingjiangyong@huawei.com) |
| Data | This SIG is responsible for the development of MindSpore data processing and data format transformation. | [@liucunwei](https://gitee.com/liucunwei)(liucunwei@huawei.com) |
| GraphEngine | This SIG is responsible for the development of MindSpore graph engine for Ascend AI processor. | [@youui](https://gitee.com/youui)(yangwei79@huawei.com) |
| Visualization | This SIG is responsible for the development of MindSpore visualization tools. | [@gaocongli_hw](https://gitee.com/gaocongli_hw)(gaocongli@huawei.com) |
| Security | This SIG is responsible for the development of MindSpore security related tools. | [@randywangze](https://gitee.com/randywangze)(wangze14@huawei.com) |
| AKG | This SIG is responsible for the development of MindSpore auto kernel generator. | [@anyrenwei](https://gitee.com/anyrenwei)(zhangrenwei1@huawei.com) |
| MSLITE | This SIG is responsible for the development of MindSpore lite. | [@zhaizhiqiang](https://gitee.com/zhaizhiqiang)(zhaizhiqiang@huawei.com) |
| MDP | This SIG is responsible for the development of MindSpore programming library for Bayesian deep learning. | [@jianfeichen](https://gitee.com/jianfeichen)(chrisjianfeichen@gmail.com) |
| Parallel | This SIG is responsible for the development of MindSpore's functionality of automatically finding the efficient parallel strategy for DNN training and inference. | [@dr-orange](https://gitee.com/dr-orange)(chengli7@ustc.edu.cn) |
| Serving | This SIG is responsible for the development of MindSpore Serving module. | [@xu-yfei](https://gitee.com/xu-yfei)(xuyongfei@huawei.com) |
