# MindSpore Compiler Special Interest Group (SIG)

This is the working repo for the Compiler special interest group (SIG). This repo contains all the artifacts, materials, meeting notes and proposals regarding **ANF IR**, **Auto Differentiation**, **Auto Parallel**, **Graph Optimizer**, **VM** and any other programs for high level graph compilation in MindSpore. Feedbacks and contributions are welcome.

1. **ANF IR**: A graph-based functional IR, which is the infrastructure for the static computation graph.
2. **Auto Differentiation**: Provide auto differentiation based on the ANF IR.
3. **Auto Parallel**: Automatically partition the static computation graph according to the parallelism strategies.
4. **Graph Optimizer**: Hardware-independent general graph optimization passes.
5. **VM**: A virtual machine which handles the calculation process in the whole framework.

## SIG Leads

* Zhang Qinghua (Huawei)

## Logistics

* SIG leads will drive the meeting.
* Meeting announcement will be posted on our [gitee channel](https://gitee.com/mindspore/community/tree/master/sigs/compiler)
* Feedbacks and topic requests are welcome by all.

## Discussion

* [Slack channel](https://app.slack.com/client/TUKCY4QDR/C011RSWRN3S?cdn_fallback=2)
* [Documents and artifacts](https://gitee.com/mindspore/community/tree/master/sigs/compiler)

# Meeting notes
* [Tuesday May 18, 2020](./meetings/001-20200518.md)
* [Friday June 05, 2020](./meetings/002-20200605.md)
